;--------------------------------------------------------------------------------------
; Define LED status storage vars
;--------------------------------------------------------------------------------------

#ifndef ROCKET
#ifndef GATOR
#ifndef S19
#ifndef C19
#ifndef SRGB
#ifndef M3X3
#ifndef M8X16
#ifndef M5X7
#ifndef RGB_4x4x4
#ifndef C12
	var Ar_reg
	var Ag_reg
	var Ab_reg
	var Br_reg
	var Bg_reg
	var Bb_reg
	var Cr_reg
	var Cg_reg
	var Cb_reg
	var Dr_reg
	var Dg_reg
	var Db_reg
#ifdef RGB5
	var Er_reg
	var Eg_reg
	var Eb_reg
#endif
#ifdef STAR5
	var Er_reg
	var Eg_reg
	var Eb_reg
#endif
#endif
#endif
#endif
#endif
#endif
#endif
#endif
#endif
#endif
#endif

#ifdef BADGE
    var Center_reg
#endif
#ifdef M3X3
    var A0_A1_reg
    var A0_A2_reg
    var A0_A4_reg
    var A0_A5_reg
    var A1_A0_reg
    var A1_A2_reg
    var A1_A4_reg
    var A1_A5_reg
    var A2_A0_reg
    var A2_A1_reg
    var A2_A4_reg
    var A2_A5_reg
    var A4_A0_reg
    var A4_A1_reg
    var A4_A2_reg
    var A4_A5_reg
    var A5_A0_reg
    var A5_A1_reg
    var A5_A2_reg
    var A5_A4_reg
#endif
#ifdef S19
    var A0_A1_reg
    var A0_A2_reg
    var A0_A4_reg
    var A0_A5_reg
    var A1_A0_reg
    var A1_A2_reg
    var A1_A4_reg
    var A1_A5_reg
    var A2_A0_reg
    var A2_A1_reg
    var A2_A4_reg
    var A2_A5_reg
    var A4_A0_reg
    var A4_A1_reg
    var A4_A2_reg
    var A4_A5_reg
    var A5_A0_reg
    var A5_A1_reg
    var A5_A2_reg
    var A5_A4_reg
#endif
#ifdef ROCKET
    var A0_A1_reg
    var A0_A2_reg
    var A0_A4_reg
    var A0_A5_reg
    var A1_A0_reg
    var A1_A2_reg
    var A1_A4_reg
    var A1_A5_reg
    var A2_A0_reg
    var A2_A1_reg
    var A2_A4_reg
    var A2_A5_reg
    var A4_A0_reg
    var A4_A1_reg
    var A4_A2_reg
    var A4_A5_reg
    var A5_A0_reg
    var A5_A1_reg
    var A5_A2_reg
    var A5_A4_reg
#endif
#ifdef BADGE_G2
    var A0_A1_reg
    var A0_A2_reg
    var A0_C0_reg
    var A0_C1_reg
    var A0_C2_reg
    var A1_A0_reg
    var A1_A2_reg
    var A1_C0_reg
    var A1_C1_reg
    var A1_C2_reg
    var A2_A0_reg
    var A2_A1_reg
    var A2_C0_reg
    var A2_C1_reg
    var A2_C2_reg
    var C0_A0_reg
    var C0_A1_reg
    var C0_A2_reg
    var C0_C1_reg
    var C0_C2_reg
    var C1_A0_reg
    var C1_A1_reg
    var C1_A2_reg
    var C1_C0_reg
    var C1_C2_reg
    var C2_A0_reg
    var C2_A1_reg
    var C2_A2_reg
    var C2_C0_reg
    var C2_C1_reg
#endif
#ifdef GATOR
    var A0_A1_reg
    var A0_A2_reg
    var A0_A4_reg
    var A0_A5_reg
    var A1_A0_reg
    var A1_A2_reg
    var A1_A4_reg
    var A1_A5_reg
    var A2_A0_reg
    var A2_A1_reg
    var A2_A4_reg
    var A2_A5_reg
    var A4_A0_reg
    var A4_A1_reg
    var A4_A2_reg
    var A4_A5_reg
    var A5_A0_reg
    var A5_A1_reg
    var A5_A2_reg
    var A5_A4_reg
#endif
#ifdef C19
    var_bank2 A0_A1_reg
    var_bank2 A0_A2_reg
    var_bank2 A0_C0_reg
    var_bank2 A0_C1_reg
    var_bank2 A0_C2_reg
    var_bank2 A0_C4_reg

    var_bank2 A1_A0_reg
    var_bank2 A1_A2_reg
    var_bank2 A1_C0_reg
    var_bank2 A1_C1_reg
    var_bank2 A1_C2_reg
    var_bank2 A1_C4_reg

    var_bank2 A2_A0_reg
    var_bank2 A2_A1_reg
    var_bank2 A2_C0_reg
    var_bank2 A2_C1_reg
    var_bank2 A2_C2_reg
    var_bank2 A2_C4_reg

    var_bank2 C0_A0_reg
    var_bank2 C0_A1_reg
    var_bank2 C0_A2_reg
    var_bank2 C0_C1_reg
    var_bank2 C0_C2_reg
    var_bank2 C0_C4_reg

    var_bank2 C1_A0_reg
    var_bank2 C1_A1_reg
    var_bank2 C1_A2_reg
    var_bank2 C1_C0_reg
    var_bank2 C1_C2_reg
    var_bank2 C1_C4_reg

    var_bank2 C2_A0_reg
    var_bank2 C2_A1_reg
    var_bank2 C2_A2_reg
    var_bank2 C2_C0_reg
    var_bank2 C2_C1_reg
    var_bank2 C2_C4_reg

    var_bank2 C4_A0_reg
    var_bank2 C4_A1_reg
    var_bank2 C4_A2_reg
    var_bank2 C4_C0_reg
    var_bank2 C4_C1_reg
    var_bank2 C4_C2_reg
#endif
#ifdef SRGB
;
;   The shifter pattern needs the colored LEDs defined sequentially
;
    var_bank2 C5_C3_reg ; 01 R
    var_bank2 C2_C3_reg ; 02 R
    var_bank2 C0_C4_reg ; 03 R
    var_bank2 C5_C4_reg ; 04 R
    var_bank2 C3_C5_reg ; 05 R
    var_bank2 C4_C5_reg ; 06 R
    var_bank2 A2_C0_reg ; 07 R
    var_bank2 C3_C0_reg ; 08 R
    var_bank2 C0_A2_reg ; 09 R
    var_bank2 C3_A2_reg ; 10 R
    var_bank2 A2_C2_reg ; 11 R
    var_bank2 C3_C2_reg ; 12 R
    var_bank2 A2_C1_reg ; 13 R
    var_bank2 C3_C1_reg ; 14 R

    var_bank2 A2_C3_reg ; 01 G
    var_bank2 C0_C3_reg ; 02 G
    var_bank2 A2_C4_reg ; 03 G
    var_bank2 C3_C4_reg ; 04 G
    var_bank2 C0_C5_reg ; 05 G
    var_bank2 A2_C5_reg ; 06 G
    var_bank2 C4_C0_reg ; 07 G
    var_bank2 C5_C0_reg ; 08 G
    var_bank2 C4_A2_reg ; 09 G
    var_bank2 C5_A2_reg ; 10 G 
    var_bank2 C4_C2_reg ; 11 G
    var_bank2 C5_C2_reg ; 12 G
    var_bank2 C4_C1_reg ; 13 G
    var_bank2 C5_C1_reg ; 14 G

    var_bank2 C1_C3_reg ; 01 B ?
    var_bank2 C4_C3_reg
    var_bank2 C2_C4_reg ; 03 B
    var_bank2 C1_C4_reg ; 04 B
    var_bank2 C1_C5_reg ; 05 B
    var_bank2 C2_C5_reg ; 06 B
    var_bank2 C2_C0_reg ; 07 B
    var_bank2 C1_C0_reg ; 08 B
    var_bank2 C2_A2_reg ; 09 B
    var_bank2 C1_A2_reg ; 10 B
    var_bank2 C1_C2_reg ; 11 B
    var_bank2 C0_C2_reg
    var_bank2 C2_C1_reg ; 13 B ?
    var_bank2 C0_C1_reg ; 14 B

#endif

#ifdef M5X7 
; Using Linerar Data Memory address mode.
A0_A1_reg equ 0x2070
A0_A2_reg equ 0x2071
A0_C0_reg equ 0x2072
A0_C1_reg equ 0x2073
A0_C2_reg equ 0x2074
A0_C3_reg equ 0x2075
A0_C4_reg equ 0x2076
A0_C5_reg equ 0x2077
;
A1_A0_reg equ 0x2078
A1_A2_reg equ 0x2079
A1_C0_reg equ 0x207A
A1_C1_reg equ 0x207B
A1_C2_reg equ 0x207C
A1_C3_reg equ 0x207D
A1_C4_reg equ 0x207E
A1_C5_reg equ 0x207F
;
A2_A0_reg equ 0x2080
A2_A1_reg equ 0x2081
A2_C0_reg equ 0x2082
A2_C1_reg equ 0x2083
A2_C2_reg equ 0x2084
A2_C3_reg equ 0x2085
A2_C4_reg equ 0x2086
A2_C5_reg equ 0x2087
;
C0_A0_reg equ 0x2088
C0_A1_reg equ 0x2089
C0_A2_reg equ 0x208A
C0_C1_reg equ 0x208B
C0_C2_reg equ 0x208C
C0_C3_reg equ 0x208D
C0_C4_reg equ 0x208E
C0_C5_reg equ 0x208F
;
C1_A0_reg equ 0x2090
C1_A1_reg equ 0x2091
C1_A2_reg equ 0x2092
C1_C0_reg equ 0x2093
C1_C2_reg equ 0x2094
C1_C3_reg equ 0x2095
C1_C4_reg equ 0x2096
C1_C5_reg equ 0x2097
;
C2_A0_reg equ 0x2098
C2_A1_reg equ 0x2099
C2_A2_reg equ 0x209A
C2_C0_reg equ 0x209B
C2_C1_reg equ 0x209C
C2_C3_reg equ 0x209D
C2_C4_reg equ 0x209E
C2_C5_reg equ 0x209F
;
C3_A0_reg equ 0x20A0
C3_A1_reg equ 0x20A1
C3_A2_reg equ 0x20A2
C3_C0_reg equ 0x20A3
C3_C1_reg equ 0x20A4
C3_C2_reg equ 0x20A5
C3_C4_reg equ 0x20A6
C3_C5_reg equ 0x20A7
;
C4_A0_reg equ 0x20A8
C4_A1_reg equ 0x20A9
C4_A2_reg equ 0x20AA
C4_C0_reg equ 0x20AB
C4_C1_reg equ 0x20AC
C4_C2_reg equ 0x20AD
C4_C3_reg equ 0x20AE
C4_C5_reg equ 0x20AF
;
C5_A0_reg equ 0x20B0
C5_A1_reg equ 0x20B1
C5_A2_reg equ 0x20B2
C5_C0_reg equ 0x20B3
C5_C1_reg equ 0x20B4
C5_C2_reg equ 0x20B5
C5_C3_reg equ 0x20B6
C5_C4_reg equ 0x20B7
#endif

#ifdef RGB_4x4x4
; Using Linerar Data Memory address mode.
Led_000R  equ 0x2100
Led_000G  equ 0x2101
Led_000B  equ 0x2102
Led_001R  equ 0x2103
Led_001G  equ 0x2104
Led_001B  equ 0x2105
Led_002R  equ 0x2106
Led_002G  equ 0x2107
Led_002B  equ 0x2108
Led_003R  equ 0x2109
Led_003G  equ 0x210a
Led_003B  equ 0x210b
Led_010R  equ 0x210c
Led_010G  equ 0x210d
Led_010B  equ 0x210e
Led_011R  equ 0x210f
Led_011G  equ 0x2110
Led_011B  equ 0x2111
Led_012R  equ 0x2112
Led_012G  equ 0x2113
Led_012B  equ 0x2114
Led_013R  equ 0x2115
Led_013G  equ 0x2116
Led_013B  equ 0x2117
Led_020R  equ 0x2118
Led_020G  equ 0x2119
Led_020B  equ 0x211a
Led_021R  equ 0x211b
Led_021G  equ 0x211c
Led_021B  equ 0x211d
Led_022R  equ 0x211e
Led_022G  equ 0x211f
Led_022B  equ 0x2120
Led_023R  equ 0x2121
Led_023G  equ 0x2122
Led_023B  equ 0x2123
Led_030R  equ 0x2124
Led_030G  equ 0x2125
Led_030B  equ 0x2126
Led_031R  equ 0x2127
Led_031G  equ 0x2128
Led_031B  equ 0x2129
Led_032R  equ 0x212a
Led_032G  equ 0x212b
Led_032B  equ 0x212c
Led_033R  equ 0x212d
Led_033G  equ 0x212e
Led_033B  equ 0x212f
Led_100R  equ 0x2130
Led_100G  equ 0x2131
Led_100B  equ 0x2132
Led_101R  equ 0x2133
Led_101G  equ 0x2134
Led_101B  equ 0x2135
Led_102R  equ 0x2136
Led_102G  equ 0x2137
Led_102B  equ 0x2138
Led_103R  equ 0x2139
Led_103G  equ 0x213a
Led_103B  equ 0x213b
Led_110R  equ 0x213c
Led_110G  equ 0x213d
Led_110B  equ 0x213e
Led_111R  equ 0x213f
Led_111G  equ 0x2140
Led_111B  equ 0x2141
Led_112R  equ 0x2142
Led_112G  equ 0x2143
Led_112B  equ 0x2144
Led_113R  equ 0x2145
Led_113G  equ 0x2146
Led_113B  equ 0x2147
Led_120R  equ 0x2148
Led_120G  equ 0x2149
Led_120B  equ 0x214a
Led_121R  equ 0x214b
Led_121G  equ 0x214c
Led_121B  equ 0x214d
Led_122R  equ 0x214e
Led_122G  equ 0x214f
Led_122B  equ 0x2150
Led_123R  equ 0x2151
Led_123G  equ 0x2152
Led_123B  equ 0x2153
Led_130R  equ 0x2154
Led_130G  equ 0x2155
Led_130B  equ 0x2156
Led_131R  equ 0x2157
Led_131G  equ 0x2158
Led_131B  equ 0x2159
Led_132R  equ 0x215a
Led_132G  equ 0x215b
Led_132B  equ 0x215c
Led_133R  equ 0x215d
Led_133G  equ 0x215e
Led_133B  equ 0x215f
Led_200R  equ 0x2160
Led_200G  equ 0x2161
Led_200B  equ 0x2162
Led_201R  equ 0x2163
Led_201G  equ 0x2164
Led_201B  equ 0x2165
Led_202R  equ 0x2166
Led_202G  equ 0x2167
Led_202B  equ 0x2168
Led_203R  equ 0x2169
Led_203G  equ 0x216a
Led_203B  equ 0x216b
Led_210R  equ 0x216c
Led_210G  equ 0x216d
Led_210B  equ 0x216e
Led_211R  equ 0x216f
Led_211G  equ 0x2170
Led_211B  equ 0x2171
Led_212R  equ 0x2172
Led_212G  equ 0x2173
Led_212B  equ 0x2174
Led_213R  equ 0x2175
Led_213G  equ 0x2176
Led_213B  equ 0x2177
Led_220R  equ 0x2178
Led_220G  equ 0x2179
Led_220B  equ 0x217a
Led_221R  equ 0x217b
Led_221G  equ 0x217c
Led_221B  equ 0x217d
Led_222R  equ 0x217e
Led_222G  equ 0x217f
Led_222B  equ 0x2180
Led_223R  equ 0x2181
Led_223G  equ 0x2182
Led_223B  equ 0x2183
Led_230R  equ 0x2184
Led_230G  equ 0x2185
Led_230B  equ 0x2186
Led_231R  equ 0x2187
Led_231G  equ 0x2188
Led_231B  equ 0x2189
Led_232R  equ 0x218a
Led_232G  equ 0x218b
Led_232B  equ 0x218c
Led_233R  equ 0x218d
Led_233G  equ 0x218e
Led_233B  equ 0x218f
Led_300R  equ 0x2190
Led_300G  equ 0x2191
Led_300B  equ 0x2192
Led_301R  equ 0x2193
Led_301G  equ 0x2194
Led_301B  equ 0x2195
Led_302R  equ 0x2196
Led_302G  equ 0x2197
Led_302B  equ 0x2198
Led_303R  equ 0x2199
Led_303G  equ 0x219a
Led_303B  equ 0x219b
Led_310R  equ 0x219c
Led_310G  equ 0x219d
Led_310B  equ 0x219e
Led_311R  equ 0x219f
Led_311G  equ 0x21a0
Led_311B  equ 0x21a1
Led_312R  equ 0x21a2
Led_312G  equ 0x21a3
Led_312B  equ 0x21a4
Led_313R  equ 0x21a5
Led_313G  equ 0x21a6
Led_313B  equ 0x21a7
Led_320R  equ 0x21a8
Led_320G  equ 0x21a9
Led_320B  equ 0x21aa
Led_321R  equ 0x21ab
Led_321G  equ 0x21ac
Led_321B  equ 0x21ad
Led_322R  equ 0x21ae
Led_322G  equ 0x21af
Led_322B  equ 0x21b0
Led_323R  equ 0x21b1
Led_323G  equ 0x21b2
Led_323B  equ 0x21b3
Led_330R  equ 0x21b4
Led_330G  equ 0x21b5
Led_330B  equ 0x21b6
Led_331R  equ 0x21b7
Led_331G  equ 0x21b8
Led_331B  equ 0x21b9
Led_332R  equ 0x21ba
Led_332G  equ 0x21bb
Led_332B  equ 0x21bc
Led_333R  equ 0x21bd
Led_333G  equ 0x21be
Led_333B  equ 0x21bf
#endif

#ifdef M8X16
; Using Linerar Data Memory address mode.
Led_G00  equ 0x20f0
Led_G01  equ 0x20f1
Led_G02  equ 0x20f2
Led_G03  equ 0x20f3
Led_G04  equ 0x20f4
Led_G05  equ 0x20f5
Led_G06  equ 0x20f6
Led_G07  equ 0x20f7

Led_G10  equ 0x20f8
Led_G11  equ 0x20f9
Led_G12  equ 0x20fa
Led_G13  equ 0x20fb
Led_G14  equ 0x20fc
Led_G15  equ 0x20fd
Led_G16  equ 0x20fe
Led_G17  equ 0x20ff

Led_G20  equ 0x2100
Led_G21  equ 0x2101
Led_G22  equ 0x2102
Led_G23  equ 0x2103
Led_G24  equ 0x2104
Led_G25  equ 0x2105
Led_G26  equ 0x2106
Led_G27  equ 0x2107

Led_G30  equ 0x2108
Led_G31  equ 0x2109
Led_G32  equ 0x210a
Led_G33  equ 0x210b
Led_G34  equ 0x210c
Led_G35  equ 0x210d
Led_G36  equ 0x210e
Led_G37  equ 0x210f

Led_G40  equ 0x2110
Led_G41  equ 0x2111
Led_G42  equ 0x2112
Led_G43  equ 0x2113
Led_G44  equ 0x2114
Led_G45  equ 0x2115
Led_G46  equ 0x2116
Led_G47  equ 0x2117

Led_G50  equ 0x2118
Led_G51  equ 0x2119
Led_G52  equ 0x211a
Led_G53  equ 0x211b
Led_G54  equ 0x211c
Led_G55  equ 0x211d
Led_G56  equ 0x211e
Led_G57  equ 0x211f

Led_G60  equ 0x2120
Led_G61  equ 0x2121
Led_G62  equ 0x2122
Led_G63  equ 0x2123
Led_G64  equ 0x2124
Led_G65  equ 0x2125
Led_G66  equ 0x2126
Led_G67  equ 0x2127

Led_G70  equ 0x2128
Led_G71  equ 0x2129
Led_G72  equ 0x212a
Led_G73  equ 0x212b
Led_G74  equ 0x212c
Led_G75  equ 0x212d
Led_G76  equ 0x212e
Led_G77  equ 0x212f

Led_G80  equ 0x2130
Led_G81  equ 0x2131
Led_G82  equ 0x2132
Led_G83  equ 0x2133
Led_G84  equ 0x2134
Led_G85  equ 0x2135
Led_G86  equ 0x2136
Led_G87  equ 0x2137

Led_G90  equ 0x2138
Led_G91  equ 0x2139
Led_G92  equ 0x213a
Led_G93  equ 0x213b
Led_G94  equ 0x213c
Led_G95  equ 0x213d
Led_G96  equ 0x213e
Led_G97  equ 0x213f

Led_GA0  equ 0x2140
Led_GA1  equ 0x2141
Led_GA2  equ 0x2142
Led_GA3  equ 0x2143
Led_GA4  equ 0x2144
Led_GA5  equ 0x2145
Led_GA6  equ 0x2146
Led_GA7  equ 0x2147

Led_GB0  equ 0x2148
Led_GB1  equ 0x2149
Led_GB2  equ 0x214a
Led_GB3  equ 0x214b
Led_GB4  equ 0x214c
Led_GB5  equ 0x214d
Led_GB6  equ 0x214e
Led_GB7  equ 0x214f

Led_GC0  equ 0x2150
Led_GC1  equ 0x2151
Led_GC2  equ 0x2152
Led_GC3  equ 0x2153
Led_GC4  equ 0x2154
Led_GC5  equ 0x2155
Led_GC6  equ 0x2156
Led_GC7  equ 0x2157

Led_GD0  equ 0x2158
Led_GD1  equ 0x2159
Led_GD2  equ 0x215a
Led_GD3  equ 0x215b
Led_GD4  equ 0x215c
Led_GD5  equ 0x215d
Led_GD6  equ 0x215e
Led_GD7  equ 0x215f

Led_GE0  equ 0x2160
Led_GE1  equ 0x2161
Led_GE2  equ 0x2162
Led_GE3  equ 0x2163
Led_GE4  equ 0x2164
Led_GE5  equ 0x2165
Led_GE6  equ 0x2166
Led_GE7  equ 0x2167

Led_GF0  equ 0x2168
Led_GF1  equ 0x2169
Led_GF2  equ 0x216a
Led_GF3  equ 0x216b
Led_GF4  equ 0x216c
Led_GF5  equ 0x216d
Led_GF6  equ 0x216e
Led_GF7  equ 0x216f

Led_R00  equ 0x2170
Led_R01  equ 0x2171
Led_R02  equ 0x2172
Led_R03  equ 0x2173
Led_R04  equ 0x2174
Led_R05  equ 0x2175
Led_R06  equ 0x2176
Led_R07  equ 0x2177

Led_R10  equ 0x2178
Led_R11  equ 0x2179
Led_R12  equ 0x217a
Led_R13  equ 0x217b
Led_R14  equ 0x217c
Led_R15  equ 0x217d
Led_R16  equ 0x217e
Led_R17  equ 0x217f

Led_R20  equ 0x2180
Led_R21  equ 0x2181
Led_R22  equ 0x2182
Led_R23  equ 0x2183
Led_R24  equ 0x2184
Led_R25  equ 0x2185
Led_R26  equ 0x2186
Led_R27  equ 0x2187

Led_R30  equ 0x2188
Led_R31  equ 0x2189
Led_R32  equ 0x218a
Led_R33  equ 0x218b
Led_R34  equ 0x218c
Led_R35  equ 0x218d
Led_R36  equ 0x218e
Led_R37  equ 0x218f

Led_R40  equ 0x2190
Led_R41  equ 0x2191
Led_R42  equ 0x2192
Led_R43  equ 0x2193
Led_R44  equ 0x2194
Led_R45  equ 0x2195
Led_R46  equ 0x2196
Led_R47  equ 0x2197

Led_R50  equ 0x2198
Led_R51  equ 0x2199
Led_R52  equ 0x219a
Led_R53  equ 0x219b
Led_R54  equ 0x219c
Led_R55  equ 0x219d
Led_R56  equ 0x219e
Led_R57  equ 0x219f

Led_R60  equ 0x21a0
Led_R61  equ 0x21a1
Led_R62  equ 0x21a2
Led_R63  equ 0x21a3
Led_R64  equ 0x21a4
Led_R65  equ 0x21a5
Led_R66  equ 0x21a6
Led_R67  equ 0x21a7

Led_R70  equ 0x21a8
Led_R71  equ 0x21a9
Led_R72  equ 0x21aa
Led_R73  equ 0x21ab
Led_R74  equ 0x21ac
Led_R75  equ 0x21ad
Led_R76  equ 0x21ae
Led_R77  equ 0x21af

Led_R80  equ 0x21b0
Led_R81  equ 0x21b1
Led_R82  equ 0x21b2
Led_R83  equ 0x21b3
Led_R84  equ 0x21b4
Led_R85  equ 0x21b5
Led_R86  equ 0x21b6
Led_R87  equ 0x21b7

Led_R90  equ 0x21b8
Led_R91  equ 0x21b9
Led_R92  equ 0x21ba
Led_R93  equ 0x21bb
Led_R94  equ 0x21bc
Led_R95  equ 0x21bd
Led_R96  equ 0x21be
Led_R97  equ 0x21bf

Led_RA0  equ 0x21c0
Led_RA1  equ 0x21c1
Led_RA2  equ 0x21c2
Led_RA3  equ 0x21c3
Led_RA4  equ 0x21c4
Led_RA5  equ 0x21c5
Led_RA6  equ 0x21c6
Led_RA7  equ 0x21c7

Led_RB0  equ 0x21c8
Led_RB1  equ 0x21c9
Led_RB2  equ 0x21ca
Led_RB3  equ 0x21cb
Led_RB4  equ 0x21cc
Led_RB5  equ 0x21cd
Led_RB6  equ 0x21ce
Led_RB7  equ 0x21cf

Led_RC0  equ 0x21d0
Led_RC1  equ 0x21d1
Led_RC2  equ 0x21d2
Led_RC3  equ 0x21d3
Led_RC4  equ 0x21d4
Led_RC5  equ 0x21d5
Led_RC6  equ 0x21d6
Led_RC7  equ 0x21d7

Led_RD0  equ 0x21d8
Led_RD1  equ 0x21d9
Led_RD2  equ 0x21da
Led_RD3  equ 0x21db
Led_RD4  equ 0x21dc
Led_RD5  equ 0x21dd
Led_RD6  equ 0x21de
Led_RD7  equ 0x21df

Led_RE0  equ 0x21e0
Led_RE1  equ 0x21e1
Led_RE2  equ 0x21e2
Led_RE3  equ 0x21e3
Led_RE4  equ 0x21e4
Led_RE5  equ 0x21e5
Led_RE6  equ 0x21e6
Led_RE7  equ 0x21e7

Led_RF0  equ 0x21e8
Led_RF1  equ 0x21e9
Led_RF2  equ 0x21ea
Led_RF3  equ 0x21eb
Led_RF4  equ 0x21ec
Led_RF5  equ 0x21ed
Led_RF6  equ 0x21ee
Led_RF7  equ 0x21ef
#endif

#ifdef C12
    var_bank2 A0_A1_reg
    var_bank2 A0_A2_reg
;    var_bank2 A0_A3_reg
    var_bank2 A0_A4_reg
    var_bank2 A0_A5_reg

    var_bank2 A1_A0_reg
    var_bank2 A1_A2_reg
    var_bank2 A1_A3_reg
;    var_bank2 A1_A4_reg
    var_bank2 A1_A5_reg

    var_bank2 A2_A0_reg
    var_bank2 A2_A1_reg
    var_bank2 A2_A3_reg
    var_bank2 A2_A4_reg
;    var_bank2 A2_A5_reg

;    var_bank2 A3_A0_reg
    var_bank2 A3_A1_reg
    var_bank2 A3_A2_reg
    var_bank2 A3_A4_reg
    var_bank2 A3_A5_reg

    var_bank2 A4_A0_reg
;    var_bank2 A4_A1_reg
    var_bank2 A4_A2_reg
    var_bank2 A4_A3_reg
    var_bank2 A4_A5_reg

    var_bank2 A5_A0_reg
    var_bank2 A5_A1_reg
;    var_bank2 A5_A2_reg
    var_bank2 A5_A3_reg
    var_bank2 A5_A4_reg

    var_bank2 B7_B6_reg
    var_bank2 B7_B5_reg
;    var_bank2 B7_B4_reg
    var_bank2 B7_B3_reg
    var_bank2 B7_B2_reg

    var_bank2 B6_B7_reg
    var_bank2 B6_B5_reg
    var_bank2 B6_B4_reg
;    var_bank2 B6_B3_reg
    var_bank2 B6_B2_reg

    var_bank2 B5_B7_reg
    var_bank2 B5_B6_reg
    var_bank2 B5_B4_reg
    var_bank2 B5_B3_reg
;    var_bank2 B5_B2_reg

;    var_bank2 B4_B7_reg
    var_bank2 B4_B6_reg
    var_bank2 B4_B5_reg
    var_bank2 B4_B3_reg
    var_bank2 B4_B2_reg

    var_bank2 B3_B7_reg
;    var_bank2 B3_B6_reg
    var_bank2 B3_B5_reg
    var_bank2 B3_B4_reg
    var_bank2 B3_B2_reg

    var_bank2 B2_B7_reg
    var_bank2 B2_B6_reg
;    var_bank2 B2_B5_reg
    var_bank2 B2_B4_reg
    var_bank2 B2_B3_reg
#endif

