;**********************************************************************
display_1bit ; 5x7x2 (70 Leds)
;**********************************************************************
;    var fcount1

    movwf        speed              ;w has the speed/delay
;
; going to break good coding rules for compact code, reorder or move
; the Led_xxx vars and you break the code!
;

#ifdef MONO
; --------------------
;  Mono Hack
; --------------------
    movfw       in1
    iorwf       in0,f
    movfw       in3
    iorwf       in2,f
    movfw       in5;
    iorwf       in4,f
    movfw       in7
    iorwf       in6,f
    movfw       in9
    iorwf       in8,f

    clrf        in1
    clrf        in3
    clrf        in5
    clrf        in7
    clrf        in9
#endif ; mono


; process page 1 (0x20) Led_Gxx vars

    movlw        LOW A0_A1_reg        ; shift down in1f->in0
    movwf        FSR0L
    movlw        HIGH A0_A1_reg
    movwf        FSR0H


    movlw        0x00
    btfsc        in3,4      ; A0_A1_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in5,4      ; A0_A2_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in7,4      ; A0_C0_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in9,4      ; A0_C1_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in0,4      ; A0_C2_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in0,2      ; A0_C3_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in0,1      ; A0_C4_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in0,3      ; A0_C5_reg
    movlw        0xFF

    movwi        INDF0++

;---
    movlw        0x00
    btfsc        in2,4      ; A1_A0_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in2,7      ; A1_A2_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in2,6      ; A1_C0_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in2,5      ; A1_C1_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00       ; A1_C2_reg (no led)

    movwi        INDF0++

    movlw        0x00
    btfsc        in2,2      ; A1_C3_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in2,1      ; A1_C4_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in2,3      ; A1_C5_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in4,4      ; A2_A0_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in3,7      ; A2_A1_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in4,6      ; A2_C0_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in4,5      ; A2_C1_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in0,7      ; A2_C2_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in4,2      ; A2_C3_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in4,1      ; A2_C4_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in4,3      ; A2_C5_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in6,4      ; C0_A0_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in3,6      ; C0_A1_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in5,6      ; C0_A2_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in6,5      ; C0_C1_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in0,6      ; C0_C2_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in6,2      ; C0_C3_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in6,1      ; C0_C4_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in6,3      ; C0_C5_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in8,4      ; C1_A0_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in3,5      ; C1_A1_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in5,5      ; C1_A2_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in7,5      ; C1_C0_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in0,5      ; C1_C2_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in8,2      ; C1_C3_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in8,1      ; C1_C4_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in8,3      ; C1_C5_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in1,4      ; C2_A0_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00       ; C2_A1_reg (no led)

    movwi        INDF0++

    movlw        0x00
    btfsc        in1,7      ; C2_A2_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in1,6      ; C2_C0_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in1,5      ; C2_C1_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in7,7      ; C2_C3_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in5,7      ; C2_C4_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in9,7      ; C2_C5_reg
    movlw        0xFF

    movwi        INDF0++


    movlw        0x00
    btfsc        in1,2      ; C3_A0_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in3,2      ; C3_A1_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in5,2      ; C3_A2_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in7,2      ; C3_C0_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in9,2      ; C3_C1_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in6,7      ; C3_C2_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in6,6      ; C3_C4_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in9,5      ; C3_C5_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in1,1      ; C4_A0_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in3,1      ; C4_A1_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in5,1      ; C4_A2_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in7,1      ; C4_C0_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in9,1      ; C4_C1_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in4,7      ; C4_C2_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in7,6      ; C4_C3_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in9,6      ; C4_C5_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in1,3      ; C5_A0_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in3,3      ; C5_A1_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in5,3      ; C5_A2_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in7,3      ; C5_C0_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in9,3      ; C5_C1_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in8,7      ; C5_C2_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in8,5      ; C5_C3_reg
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        in8,6      ; C5_C4_reg
    movlw        0xFF

    movwi        INDF0++

    movf         speed,w
    call         strobe_delay

    return

