;**********************************************************************
table_type_22
;**********************************************************************
;
;  32 bytes
;
;  AAAABBBB
;
;  A = shire Right/Left
;  BB = two bit intensity to shift on
;  CCCCC = Number of shifts to loop
;
;  if CCCCC = 0x11111, specical case: turn all LEDs off.
;
    var fcount1 ;, b2l_out_hi


    movlw        LOW in0
    movwf        FSR0L
    movlw        HIGH in0
    movwf        FSR0H

    movlw        0x20
    movwf        fcount1

t22_loop
    call         get_next_pattern_entry
    movwi        FSR0++

    decfsz       fcount1,f
    goto         t22_loop

    movfw        pspeed
    call         display_1bit
    movfw        pspeed
    call         display_1bit
    movfw        pspeed
    call         display_1bit
    movfw        pspeed
    call         display_1bit

    return

