;-------------------------------------------------------------------------------
display_cycle0
;-------------------------------------------------------------------------------
    bsf     Ax_dir,1
    LedOut  Bb_reg,Ax_dir,2    ;LED Dr     A0-A1
    LedOut  Br_reg,Ax_dir,4    ;LED Dg     A0-A2
    LedOut  Bg_reg,Ax_dir,5    ;LED Db     A0-A4

    banksel TRISA
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA

    banksel PORTA
    movlw   b'00000001'
    movwf   PORTA

    decfsz  fcount,f
    goto    display_cycle0

    goto return_display_cycle

;-------------------------------------------------------------------------------
display_cycle1
;-------------------------------------------------------------------------------
    LedOut  Ab_reg,Ax_dir,0    ;LED Ab     A1-A0
    LedOut  Ar_reg,Ax_dir,2    ;LED Ar     A1-A4
    LedOut  Ag_reg,Ax_dir,4    ;LED Ag     A1-A5
    bsf     Ax_dir,5

    banksel TRISA
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA
    
    banksel PORTA
    movlw   b'00000010'
    movwf   PORTA

    decfsz  fcount,f
    goto    display_cycle1

    goto return_display_cycle

;-------------------------------------------------------------------------------
display_cycle2
;-------------------------------------------------------------------------------
    bsf     Ax_dir,0
    LedOut  Cg_reg,Ax_dir,1    ;LED Bg     A2-A0
    LedOut  Cb_reg,Ax_dir,4    ;LED Bb     A2-A4
    LedOut  Cr_reg,Ax_dir,5    ;LED Br     A2-A5

    banksel TRISA
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA

    banksel PORTA
    movlw   b'00000100'
    movwf   PORTA

    decfsz  fcount,f
    goto    display_cycle2

    goto return_display_cycle

;-------------------------------------------------------------------------------
display_cycle3
;-------------------------------------------------------------------------------
    LedOut  Dr_reg,Ax_dir,1    ;LED Cr     A4-A0
    LedOut  Dg_reg,Ax_dir,0    ;LED Cg     A4-A1
    bsf     Ax_dir,2
    LedOut  Db_reg,Ax_dir,5    ;LED Cb     A4-A5

    banksel TRISA
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA

    banksel PORTA
    movlw   b'00010000'
    movwf   PORTA

    decfsz  fcount,f
    goto    display_cycle3

    goto return_display_cycle

;-------------------------------------------------------------------------------
display_cycle4
;-------------------------------------------------------------------------------
    LedOut  Eb_reg,Ax_dir,1    ;LED Cr     A5-A0
    LedOut  Er_reg,Ax_dir,0    ;LED Cg     A5-A1
    LedOut  Eg_reg,Ax_dir,2    ;LED Cb     A5-A2
    bsf     Ax_dir,4

    banksel TRISA
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA

    banksel PORTA
    movlw   b'00100000'
    movwf   PORTA

    decfsz  fcount,f
    goto    display_cycle4

    goto return_display_cycle

