;**********************************************************************
display_1bit ; 192 Led 4x4x4x3 cube
;**********************************************************************

    var tempr
    var tempg
    var tempb

    movwf        speed              ;w has the speed/delay
;
;   We assume all the LED memory locations are sequental
;
    movlw        LOW Led_000R        ; shift down in1f->in0
    movwf        FSR0L
    movlw        HIGH Led_000R
    movwf        FSR0H

    movfw        in0
    movwf        tempr
    movfw        in1
    movwf        tempg
    movfw        in2
    movwf        tempb
    call         d2b_24bits

    movfw        in3
    movwf        tempr
    movfw        in4
    movwf        tempg
    movfw        in5
    movwf        tempb
    call         d2b_24bits

    movfw        in6
    movwf        tempr
    movfw        in7
    movwf        tempg
    movfw        in8
    movwf        tempb
    call         d2b_24bits

    movfw        in9
    movwf        tempr
    movfw        ina
    movwf        tempg
    movfw        inb
    movwf        tempb
    call         d2b_24bits

    movfw        inc
    movwf        tempr
    movfw        ind
    movwf        tempg
    movfw        ine
    movwf        tempb
    call         d2b_24bits

    movfw        inf
    movwf        tempr
    movfw        in10
    movwf        tempg
    movfw        in11
    movwf        tempb
    call         d2b_24bits

    movfw        in12
    movwf        tempr
    movfw        in13
    movwf        tempg
    movfw        in14
    movwf        tempb
    call         d2b_24bits

    movfw        in15
    movwf        tempr
    movfw        in16
    movwf        tempg
    movfw        in17
    movwf        tempb
    call         d2b_24bits

    movf         speed,w
    call         strobe_delay

    return

;**********************************************************************
d2b_24bits
;**********************************************************************

    movlw        0x00
    btfsc        tempr,7
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        tempg,7
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        tempb,7
    movlw        0xFF

    movwi        INDF0++
;--
    movlw        0x00
    btfsc        tempr,6
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        tempg,6
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        tempb,6
    movlw        0xFF

    movwi        INDF0++
;--
    movlw        0x00
    btfsc        tempr,5
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        tempg,5
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        tempb,5
    movlw        0xFF

    movwi        INDF0++
;--
    movlw        0x00
    btfsc        tempr,4
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        tempg,4
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        tempb,4
    movlw        0xFF

    movwi        INDF0++
;--
    movlw        0x00
    btfsc        tempr,3
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        tempg,3
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        tempb,3
    movlw        0xFF

    movwi        INDF0++
;--
    movlw        0x00
    btfsc        tempr,2
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        tempg,2
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        tempb,2
    movlw        0xFF

    movwi        INDF0++
;--
    movlw        0x00
    btfsc        tempr,1
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        tempg,1
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        tempb,1
    movlw        0xFF

    movwi        INDF0++
;--
    movlw        0x00
    btfsc        tempr,0
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        tempg,0
    movlw        0xFF

    movwi        INDF0++

    movlw        0x00
    btfsc        tempb,0
    movlw        0xFF

    movwi        INDF0++

    return

